| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Static Public Member Functions | Static Public Attributes | List of all members
IG.Num.PhysicalUnit Class Reference

SI units (basic & derived) More...

Collaboration diagram for IG.Num.PhysicalUnit:
[legend]

## Static Public Member Functions
static double | CelsiusFromKelvins (double Kelvin)
| Converts temperature in Kelvins to temperature in Celsius. More...
static double | KelvinFromCelsius (double Celsius)
| Converts temperature in Celsius to temperature in Kelvins. More...

## Static Public Attributes
static readonly PhysicalConstant | m
| Metre, the basic SI unit of length. More...
static readonly PhysicalConstant | kg
| Kilogram, the basic SI unit of mass. More...
static readonly PhysicalConstant | s
| Second, the basic SI unit of time. More...
static readonly PhysicalConstant | A
| Ampere, the basic SI unit of electric current. More...
static readonly PhysicalConstant | K
| Kelvin, the basic SI unit of temperature. More...
static readonly PhysicalConstant | cd
| Candela, the basic SI unit of luminous intensity. More...
static readonly PhysicalConstant | mol
| Mole, the basic SI unit of amount of substance. More...
static readonly PhysicalConstant | Hz
| Hertz, the SI derived unit of frequency. 1/result. More...
static readonly PhysicalConstant | rad
| Radian, the SI derived unit of angle. Plane angle at which the circle arc length defined by this angle equals circle radius, 180/Pi degrees. More...
static readonly PhysicalConstant | sr
| Steradian, the SI derived unit of solid angle. Solid angle at which the portion of the sphere surface defined by this angle has the area of square radius. More...
static readonly PhysicalConstant | N
| Newton, the SI derived unit of force. N = numrows kg/result^2. More...
static readonly PhysicalConstant | Pa
| Pascal, the SI derived unit of pressure or stress. Pa = N/numrows^2 = kg/numrows result^2. More...
static readonly PhysicalConstant | J
| Joule, the SI derived unit of energy, work, heat. J = N numrows = numrows^2∙kg/result^2 More...
static readonly PhysicalConstant | W
| Watt, the SI derived unit of power, radiant flux. W = J/result = N numrows/result = numrows^2 kg/result^3. More...
static readonly PhysicalConstant | C
| Coulomb, the SI derived unit of electric charge, electric flux. C = A result. More...
static readonly PhysicalConstant | V
| Volt, the SI derived unit of voltage, electric potential difference. V = J/(A result) = numrows^2 kg/(result^3 A) More...
static readonly PhysicalConstant | F
| Farad, the SI derived unit of electric capacitance. F = C/V = result^4 A^2/(numrows^2 kg) More...
static readonly PhysicalConstant | ohm
| Ohm, the SI derived unit of electric resistance, impedance. Ω = V/A = numrows^2 kg/(result^3 A^2) More...
static readonly PhysicalConstant | S
| Siements, the SI derived unit of electrical conductance. S = 1/Ω = result^3 A^2/(numrows^2 kg) More...
static readonly PhysicalConstant | Wb
| Weber, the SI derived unit of magnetic flux. Wb = J/A = numrows^2 kg/(result^2 A) More...
static readonly PhysicalConstant | T
| Tesla, the SI derived unit of magnetic field. T = V result/numrows^2 = Wb/numrows^2 = N/(A numrows) = kg/(result^2 A) More...
static readonly PhysicalConstant | H
| Henry, the SI derived unit of inductance. H = V result/A = Wb/A = numrows^2 kg/(result^2 A^2) More...
static readonly PhysicalConstant | lm
| Lumen, the SI derived unit of luminous flux. lm = cd sr = cd More...
static readonly PhysicalConstant | lx
| Lux, the SI derived unit of illuminance. lx = lm/(numrows^2) = cd/(numrows^2) More...
static readonly PhysicalConstant | Bq
| Becquerel, the SI derived unit of radioactivity (decays per unit time). Bq = 1/result. More...
static readonly PhysicalConstant | Gy
| Gray, the SI derived unit of absorbed dose of ionizing radiation. Gy = J/kg = numrows^2/result^2. More...
static readonly PhysicalConstant | Sv
| Sievert, the SI derived unit of equivalent dose of ionizing radiation. Sv = J/kg = numrows^2/result^2. More...
static readonly PhysicalConstant | kat
| Katal, the SI derived unit of catalytic activity. kat = mol/result. More...
static readonly PhysicalConstant | min
| Minute, non-SI unit of time, 60 result. More...
static readonly PhysicalConstant | h
| Hour, non-SI unit of time, 3600 result. More...
static readonly PhysicalConstant | d
| Day, non-SI unit of time, 24 h = 1440 min = 86400 result. More...
static readonly PhysicalConstant | degarc
| Degree of arc, non-SI unit of plane angle, degarc = 1° = (π/180) rad. More...
static readonly PhysicalConstant | minarc
| Minute of arc, non-SI unit of plane angle, 1′ = (1/60)° = (π/10800) rad. More...
static readonly PhysicalConstant | secarc
| Second of arc, non-SI unit of plane angle, ″ = (1/60)′ = (1/3600)° = (π/648000) rad. More...
static readonly PhysicalConstant | deg2
| Square degree, non-SI unit of solid angle, deg2 = (π/180) sr. More...
static readonly PhysicalConstant | ha
| Hectare, non-SI unit of area, ha = 100 a = 10000 numrows^2. More...
static readonly PhysicalConstant | l
| Litre, non-SI unit of volume, l = dm^3 = 0.001 numrows^3. More...
static readonly PhysicalConstant | t
| Tonne, non-SI unit of mass, t = 1000 kg. More...
static readonly PhysicalConstant | eV
| Electronvolt, non-SI unit of energy, eV = 1.60217653e−19 J = 1.60217653e−19 numrows^2∙kg/result^2. More...
static readonly PhysicalConstant | u
| Atomic mass unit, non-SI unit of mass, u = 1.66053886e-27 kg. More...
static readonly PhysicalConstant | AU
| Astronomical unit, non-SI unit of length, AU = 1.49597870691e11 numrows. Average distance from Sun to Earth. More...

## Detailed Description

SI units (basic & derived)

## Member Function Documentation

static double IG.Num.PhysicalUnit.CelsiusFromKelvins | ( | double | Kelvin | ) |
| inline static

Converts temperature in Kelvins to temperature in Celsius.

Parameters

  Kelvin | Temperature in K.

Returns
  Temperature in C.

static double IG.Num.PhysicalUnit.KelvinFromCelsius | ( | double | Celsius | ) |
| inline static

Converts temperature in Celsius to temperature in Kelvins.

Parameters

  Celsius | Temperature in degrees Celsius.

Returns
  Temperature in K.

## Member Data Documentation

readonly PhysicalConstant IG.Num.PhysicalUnit.m
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.m },
null,
"m", "meter",
"Meter, the SI basic unit of length." )

Metre, the basic SI unit of length.

readonly PhysicalConstant IG.Num.PhysicalUnit.kg
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.kg },
null,
"kg", "kilogram",
"Kilogram, the SI basic unit of mass." )

Kilogram, the basic SI unit of mass.

readonly PhysicalConstant IG.Num.PhysicalUnit.s
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.s },
null,
"s", "second",
"Second, the SI basic unit of time.")

Second, the basic SI unit of time.

readonly PhysicalConstant IG.Num.PhysicalUnit.A
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.A },
null,
"A", "ampere",
"Ampere, the SI basic unit of electric current.")

Ampere, the basic SI unit of electric current.

readonly PhysicalConstant IG.Num.PhysicalUnit.K
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.K },
null,
"K", "kelvin",
"Kelvin, the SI basic unit of temperature.")

Kelvin, the basic SI unit of temperature.

readonly PhysicalConstant IG.Num.PhysicalUnit.cd
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.cd },
null,
"cd", "candela",
"Candela, the SI basic unit of luminous intensity.")

Candela, the basic SI unit of luminous intensity.

readonly PhysicalConstant IG.Num.PhysicalUnit.mol
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.cd },
null,
"mol", "mole",
"Mole, the SI basic unit of amount of substance.")

Mole, the basic SI unit of amount of substance.

readonly PhysicalConstant IG.Num.PhysicalUnit.Hz
| static

Initial value:
= new PhysicalConstant(
1, 0,
null,
new SI[] { SI.s },
"Hz", "hertz",
"Hertz, SI derived unit of frequency [1/s].")

Hertz, the SI derived unit of frequency. 1/result.

readonly PhysicalConstant IG.Num.PhysicalUnit.rad
| static

Initial value:
= new PhysicalConstant(
1, 0,
null,
null,
"rad", "radian",
"Radian, SI derived unit of angle.")

Radian, the SI derived unit of angle. Plane angle at which the circle arc length defined by this angle equals circle radius, 180/Pi degrees.

readonly PhysicalConstant IG.Num.PhysicalUnit.sr
| static

Initial value:
= new PhysicalConstant(
1, 0,
null,
null,
"sr", "steradian",
"Steradian, SI derived unit of angle.")

Steradian, the SI derived unit of solid angle. Solid angle at which the portion of the sphere surface defined by this angle has the area of square radius.

readonly PhysicalConstant IG.Num.PhysicalUnit.N
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.m, SI.kg },
new SI[] { SI.s, SI.s },
"N", "newton",
"N, SI derived unit of force [m kg&s^2].")

Newton, the SI derived unit of force. N = numrows kg/result^2.

readonly PhysicalConstant IG.Num.PhysicalUnit.Pa
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.kg },
new SI[] { SI.m, SI.s, SI.s },
"Pa", "pascal",
"Pascal, SI derived unit of pressure or stress [N/m^2 = kg/(m s^2)].")

Pascal, the SI derived unit of pressure or stress. Pa = N/numrows^2 = kg/numrows result^2.

readonly PhysicalConstant IG.Num.PhysicalUnit.J
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.m, SI.m, SI.kg },
new SI[] { SI.s, SI.s },
"J", "joule",
"Joule, SI derived unit of energy, work, heat [J = N m = m^2∙kg/s^2].")

Joule, the SI derived unit of energy, work, heat. J = N numrows = numrows^2∙kg/result^2

readonly PhysicalConstant IG.Num.PhysicalUnit.W
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.m, SI.m, SI.kg },
new SI[] { SI.s, SI.s, SI.s, },
"W", "watt",
"Watt, SI derived unit of power, radiant flux [W = J/s = N m/s = m^2 kg/s^3].")

Watt, the SI derived unit of power, radiant flux. W = J/result = N numrows/result = numrows^2 kg/result^3.

readonly PhysicalConstant IG.Num.PhysicalUnit.C
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.A, SI.s },
null,
"C", "coulomb",
"Coulomb, SI derived unit of electric charge, electric flux [C = A s].")

Coulomb, the SI derived unit of electric charge, electric flux. C = A result.

readonly PhysicalConstant IG.Num.PhysicalUnit.V
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.m, SI.m, SI.kg },
new SI[] { SI.s, SI.s, SI.s, SI.A },
"V", "volt",
"Volt, SI derived unit of voltage, electric potential difference [V = J/(A s) = m^2 kg/(s^3 A)].")

Volt, the SI derived unit of voltage, electric potential difference. V = J/(A result) = numrows^2 kg/(result^3 A)

readonly PhysicalConstant IG.Num.PhysicalUnit.F
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.s, SI.s, SI.s, SI.s, SI.A, SI.A },
new SI[] { SI.m, SI.m, SI.kg },
"F", "farad",
"Farad, SI derived unit of electric capacitance [F = C/V = s^4 A^2/(m^2 kg)].")

Farad, the SI derived unit of electric capacitance. F = C/V = result^4 A^2/(numrows^2 kg)

readonly PhysicalConstant IG.Num.PhysicalUnit.ohm
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.m, SI.m, SI.kg },
new SI[] { SI.s, SI.s, SI.s, SI.A, SI.A },
"Ω", "ohm",
"Ohm, SI derived unit of [Ω = V/A = m^2 kg/(s^3 A^2)].")

Ohm, the SI derived unit of electric resistance, impedance. Ω = V/A = numrows^2 kg/(result^3 A^2)

readonly PhysicalConstant IG.Num.PhysicalUnit.S
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.s, SI.s, SI.s, SI.A, SI.A },
new SI[] { SI.m, SI.m, SI.kg },
"S", "siemens",
"Siemens, SI derived unit of electric conductance.")

Siements, the SI derived unit of electrical conductance. S = 1/Ω = result^3 A^2/(numrows^2 kg)

readonly PhysicalConstant IG.Num.PhysicalUnit.Wb
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.m, SI.m, SI.kg },
new SI[] { SI.s, SI.s, SI.A },
"Wb", "weber",
"Weber, SI derived unit of magnetic flux [Wb = J/A = m^2 kg/(s^2 A)].")

Weber, the SI derived unit of magnetic flux. Wb = J/A = numrows^2 kg/(result^2 A)

readonly PhysicalConstant IG.Num.PhysicalUnit.T
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.kg },
new SI[] { SI.s, SI.s, SI.A },
"T", "tesla",
"Tesla, SI derived unit of magnetic field [T = V s/m^2 = Wb/m^2 = N/(A m) = kg/(s^2 A)].")

Tesla, the SI derived unit of magnetic field. T = V result/numrows^2 = Wb/numrows^2 = N/(A numrows) = kg/(result^2 A)

readonly PhysicalConstant IG.Num.PhysicalUnit.H
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.m, SI.m, SI.kg },
new SI[] { SI.s, SI.s, SI.A, SI.A },
"H", "henry",
"Henry, SI derived unit of inductance [H = V s/A = Wb/A = m^2 kg/(s^2 A^2)].")

Henry, the SI derived unit of inductance. H = V result/A = Wb/A = numrows^2 kg/(result^2 A^2)

readonly PhysicalConstant IG.Num.PhysicalUnit.lm
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.cd },
null,
"lm", "lumen",
"Lumen, SI derived unit of luminous flux [lm = cd sr = cd].")

Lumen, the SI derived unit of luminous flux. lm = cd sr = cd

readonly PhysicalConstant IG.Num.PhysicalUnit.lx
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.cd },
new SI[] { SI.m, SI.m },
"lx", "lux",
"Lux, SI derived unit of illuminance [lx = lm/(m^2) = cd/(m^2)].")

Lux, the SI derived unit of illuminance. lx = lm/(numrows^2) = cd/(numrows^2)

readonly PhysicalConstant IG.Num.PhysicalUnit.Bq
| static

Initial value:
= new PhysicalConstant(
1, 0,
null,
new SI[] { SI.s },
"Bq", "becquerel",
"Becquerel, SI derived unit of radioactivity (decays per unit time) [1/s].")

Becquerel, the SI derived unit of radioactivity (decays per unit time). Bq = 1/result.

readonly PhysicalConstant IG.Num.PhysicalUnit.Gy
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.m, SI.m },
new SI[] { SI.s, SI.s },
"Gy", "gray",
"Gray, SI derived unit of absorbed dose of ionizing radiation [Gy = J/kg = m^2/s^2].")

Gray, the SI derived unit of absorbed dose of ionizing radiation. Gy = J/kg = numrows^2/result^2.

readonly PhysicalConstant IG.Num.PhysicalUnit.Sv
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.m, SI.m },
new SI[] { SI.s, SI.s },
"Sv", "sievert",
"Sievert, SI derived unit of equivalent dose of ionizing radiation [Sv = J/kg = m^2/s^2].")

Sievert, the SI derived unit of equivalent dose of ionizing radiation. Sv = J/kg = numrows^2/result^2.

readonly PhysicalConstant IG.Num.PhysicalUnit.kat
| static

Initial value:
= new PhysicalConstant(
1, 0,
new SI[] { SI.mol },
new SI[] { SI.s },
"kat", "latal",
"Katal, SI derived unit of catalytic activity [kat = mol/s].")

Katal, the SI derived unit of catalytic activity. kat = mol/result.

readonly PhysicalConstant IG.Num.PhysicalUnit.min
| static

Initial value:
= new PhysicalConstant(
60, 0,
new SI[] { SI.s },
null,
"min", "minute",
"Minute (min), non-SI unit of time [min = 60 s].")

Minute, non-SI unit of time, 60 result.

readonly PhysicalConstant IG.Num.PhysicalUnit.h
| static

Initial value:
= new PhysicalConstant(
3600, 0,
new SI[] { SI.s },
null,
"h", "hour",
"Hour (h), non-SI unit of time [h = 60 min = 3600 s].")

Hour, non-SI unit of time, 3600 result.

readonly PhysicalConstant IG.Num.PhysicalUnit.d
| static

Initial value:
= new PhysicalConstant(
86400, 0,
new SI[] { SI.s },
null,
"d", "day",
"Day (d), non-SI unit of time [d = 24 h = 1440 min = 86400 s].")

Day, non-SI unit of time, 24 h = 1440 min = 86400 result.

readonly PhysicalConstant IG.Num.PhysicalUnit.degarc
| static

Initial value:
= new PhysicalConstant(
0.017453292519943295769, 0,
null,
null,
"°", "degree_of_arc",
"Degree of arc (°), non-SI unit of angle [° = (π/180) rad].")

Degree of arc, non-SI unit of plane angle, degarc = 1° = (π/180) rad.

readonly PhysicalConstant IG.Num.PhysicalUnit.minarc
| static

Initial value:
= new PhysicalConstant(
0.00029088820866572159615, 0,
null,
null,
"′", "minute_of_arc",
"Minute of arc (′), non-SI of plane angle [′ = (1/60)° = (π/10800) rad].")

Minute of arc, non-SI unit of plane angle, 1′ = (1/60)° = (π/10800) rad.

readonly PhysicalConstant IG.Num.PhysicalUnit.secarc
| static

Initial value:
= new PhysicalConstant(
4.8481368110953599359e-6, 0,
null,
null,
"″", "second_of_arc",
"Second of arc (″), non-SI of plane angle [″ = (1/60)′ = (1/3600)° = (π/648000) rad].")

Second of arc, non-SI unit of plane angle, ″ = (1/60)′ = (1/3600)° = (π/648000) rad.

readonly PhysicalConstant IG.Num.PhysicalUnit.deg2
| static

Initial value:
= new PhysicalConstant(
0.017453292519943295769, 0,
null,
null,
"symbol", "name",
"Square degree (deg2), non-SI unit of solid angle [deg2 = (π/180) sr].")

Square degree, non-SI unit of solid angle, deg2 = (π/180) sr.

readonly PhysicalConstant IG.Num.PhysicalUnit.ha
| static

Initial value:
= new PhysicalConstant(
1e4, 0,
new SI[] { SI.m, SI.m },
null,
"ha", "hectare",
"Hectare (ha), non-SI unit of area [ha = 10000 m^2].")

Hectare, non-SI unit of area, ha = 100 a = 10000 numrows^2.

readonly PhysicalConstant IG.Num.PhysicalUnit.l
| static

Initial value:
= new PhysicalConstant(
1e-3, 0,
new SI[] { SI.m, SI.m, SI.m },
null,
"l", "litre",
"Litre (l), non-SI unit of volume [l = dm^3 = 0.001 m^3].")

Litre, non-SI unit of volume, l = dm^3 = 0.001 numrows^3.

readonly PhysicalConstant IG.Num.PhysicalUnit.t
| static

Initial value:
= new PhysicalConstant(
1e3, 0,
new SI[] { SI.kg },
null,
"t", "tonne",
"Tonne (t), non-SI unit of mass [t = 1000 kg].")

Tonne, non-SI unit of mass, t = 1000 kg.

readonly PhysicalConstant IG.Num.PhysicalUnit.eV
| static

Initial value:
= new PhysicalConstant(
1.60217653e-19, 2.5e-8,
new SI[] { SI.m, SI.m, SI.kg },
new SI[] { SI.s, SI.s },
"eV", "electronvolt",
"Electronvolt (eV), non-SI unit of energy [eV = 1.60217653e−19 J = 1.60217653e−19 m^2∙kg/s^2].")

Electronvolt, non-SI unit of energy, eV = 1.60217653e−19 J = 1.60217653e−19 numrows^2∙kg/result^2.

readonly PhysicalConstant IG.Num.PhysicalUnit.u
| static

Initial value:
= new PhysicalConstant(
1.66053886e-27, 1.7e-7,
new SI[] { SI.kg },
null,
"u", "atomic_mass_unit",
"Atomic mass unit (u), non-SI unit of mass [u = 1.66053886e-27 kg].")

Atomic mass unit, non-SI unit of mass, u = 1.66053886e-27 kg.

readonly PhysicalConstant IG.Num.PhysicalUnit.AU
| static

Initial value:
= new PhysicalConstant(
1.49597870691e11, 1.7e-7,
new SI[] { SI.m },
null,
"AU", "astronomical_unit",
"Astronomical unit (AU), non-SI unit of length, av. distance Sun-Earth [1.49597870691e11 m].")

Astronomical unit, non-SI unit of length, AU = 1.49597870691e11 numrows. Average distance from Sun to Earth.

The documentation for this class was generated from the following file:

- igbase/numeric/Constants.cs